Bug 200908 - [kn_IN-fonts] Dependent vowels unicode given, is wrong
[kn_IN-fonts] Dependent vowels unicode given, is wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 10:45 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 05:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File showing the expected behaviour (240 bytes, application/octet-stream)
2006-08-10 02:40 EDT, Darshan Santani
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-08-01 10:45:57 EDT
Description of problem:
in kannada, all the dependent vowels unicode given is wrong, thatwhy the GSUBs
combining with those vowels are showing wrong shape.

Version-Release number of selected component (if applicable):
fonts-kannada-2.0-1

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
Some GSUB shapes are showing wrong as the unicode of dependent vowels are wrong.

Expected results:
All the shapes should show correctly

Additional info:

These are the dependent vowels which actual unicode name (#) and one Provided by
the vendor (@), they are not matching. This is messing up the GSUB table

 # U+0CBF ಿ KANNADA VOWEL SIGN I is @ U+OCBD
 # U+0CC0 ೀ KANNADA VOWEL SIGN II is @ U+OCBE
 # U+0CC1 ು KANNADA VOWEL SIGN U is @ U+0CBF
 # U+0CC2 ೂ KANNADA VOWEL SIGN UU is @ U+0CC0
 # U+0CC3 ೃ KANNADA VOWEL SIGN VOCALIC R is @ U+0CC1
 # U+0CC4 ೄ KANNADA VOWEL SIGN VOCALIC RR is @ u+0CC2
 # U+0CC6 ೆ KANNADA VOWEL SIGN E is @ U+0CC3
 # U+0CC7 ೇ KANNADA VOWEL SIGN EE is @ U+0CC4
 # U+0CC8 ೈ KANNADA VOWEL SIGN AI is @ U+0CC6
 # U+0CCA ೊ KANNADA VOWEL SIGN O is @ U+0CC7
 # U+0CCB ೋ KANNADA VOWEL SIGN OO is @ U+0CC8
 # U+0CCC ೌ KANNADA VOWEL SIGN AU is @ U+0CCA
Comment 1 Darshan Santani 2006-08-10 02:36:02 EDT
The Unicode values of the above mentioned dependent vowels are correct in the
latest kannada font file [kn_IN] i.e, fonts-kannada-2.0-2.

The resultant shape has also been verified as per Unicode Standard 5.0.0
Comment 2 Darshan Santani 2006-08-10 02:40:28 EDT
Created attachment 133906 [details]
File showing the expected behaviour 

Please find attached the file, showing the expected shape(s) of the unicode
values mentioned here.	Thanks :)
Comment 3 Darshan Santani 2006-08-10 02:47:45 EDT
I have gone through the font file. Hence, Unicode values are correct instead
Unicode Names are wrong. 
Comment 4 Ramakrishna Reddy Yekulla 2006-08-10 03:42:17 EDT
The conjucts while combining require the Unicode Names, Once the Unicode name is
fixed in fontforge (not sure if the vendor would do it). But here is the
Procedure to follow
o Open the font in the fontforge
o Select the compact view
o Ctri + i on each Dependent vowel from the range U+OCBD,  U+OCBE...so on and
change them to its original Unicode Name.
o Manually edit all the Dependent vowels with the correct Unicode Name.
Comment 5 Darshan Santani 2006-08-10 05:21:40 EDT
Bug # 201998 has been filled for Wrong Unicode name in kn_IN font file , hence
CLOSING this bug. 

Note You need to log in before you can comment on or make changes to this bug.